## org.apache.fop.fo.pagination
Class SinglePageMasterReference

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.fo.pagination.PageMasterReference
                        |
                        +--org.apache.fop.fo.pagination.SinglePageMasterReference

public class SinglePageMasterReference
extends PageMasterReference
implements SubSequenceSpecifier

Inner Class Summary
`static class` `SinglePageMasterReference.Maker`

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`SinglePageMasterReference(FObj parent, PropertyList propertyList)`

Method Summary
`protected java.lang.String` `getElementName()` Gets the formating object name for this object.
`java.lang.String` `getNextPageMaster(int currentPageNumber, boolean thisIsFirstPage, boolean isEmptyPage)`
`static FObj.Maker` `maker()`
`void` `reset()` Called before a new page sequence is rendered so subsequences can reset any state they keep during the formatting process.

Methods inherited from class org.apache.fop.fo.pagination.PageMasterReference
`getMasterName, getPageSequenceMaster, setMasterName, setPageSequenceMaster, validateParent`

Methods inherited from class org.apache.fop.fo.FObj
`addCharacters, end, generatesReferenceAreas, getContentWidth, getName, getProperty, layout, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SinglePageMasterReference

    public SinglePageMasterReference(FObj parent,
                                     PropertyList propertyList)
                              throws FOPException

Method Detail

### maker

    public static FObj.Maker maker()

### getNextPageMaster

    public java.lang.String getNextPageMaster(int currentPageNumber,
                                              boolean thisIsFirstPage,
                                              boolean isEmptyPage)

  Specified by:
    getNextPageMaster in interface SubSequenceSpecifier
  Overrides:
    getNextPageMaster in class PageMasterReference

### reset

    public void reset()

  Description copied from interface: SubSequenceSpecifier
  Called before a new page sequence is rendered so subsequences can reset any state they keep during the formatting process.
  Specified by:
    reset in interface SubSequenceSpecifier
  Overrides:
    reset in class PageMasterReference

### getElementName

    protected java.lang.String getElementName()

  Description copied from class: PageMasterReference
  Gets the formating object name for this object. Subclasses must provide this.
  Overrides:
    getElementName in class PageMasterReference
  Tags copied from class: PageMasterReference
  Returns:
    the element name of this reference. e.g. fo:repeatable-page-master-reference

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.